export default {

    data(){
      return {
          giftData:[]
      }
    },

    methods:{

        fetch(obj){
            return this[this.useGiftType.fetch](obj);
        },

        // 默认的请求
        fetchDefault(obj){
            this.$store.dispatch('initializationGiftPromise').then(obj.success).catch(obj.fail);
        },

        // 我的背包请求
        fetchKnapsack(obj){
            this.$request({
                url:'room/get_gift_list',
                token:true
            }).then((data)=>{
                data.data = data.data || {};

                data.data.gifts_list.map((item)=>{
                    item.num = 2;
                })

                return obj.success(data.data.user_pack || []);
            }).catch(obj.fail);
        },

        changeData(data){
            this.giftData = data;
        }

    }

}
